/*============================================================================*

	SUITE:		e-Scrabble
	FILE:		user_events.h
	
	COPYRIGHT NOTICE:
	
	Copyright (C) 2001 Players Inc, All Rights Reserved

	THIS MATERIAL IS PROVIDED FOR ACADEMIC USE ONLY, you may modify it
	provided this copyright notice is preserved, however you may not
	redistribute it, or use it for commercial purposes without prior
	written permission of the authors.

	Direct questions, comments, or bug reports to:
	aul@ecf.utoronto.ca
	ticku@ecf.utoronto.ca
	varia@ecf.utoronto.ca	

*============================================================================*/


#ifndef user_events_h
#define user_events_h


#include <gtk/gtk.h>


/* Event Function Declarations for Menu Commands */
void menu_game_new (GtkWidget *, gpointer);
void menu_game_resign (GtkWidget *, gpointer);
void menu_game_end (GtkWidget *, gpointer);
void menu_game_save (GtkWidget *, gpointer);
void menu_game_restore (GtkWidget *, gpointer);
void menu_help_about (GtkWidget *, gpointer);
void menu_add_ap (GtkWidget *, gpointer);


/* Event Function Declarations for Button Clicks */
void button_try_move (GtkWidget *, gpointer);
void button_pass (GtkWidget *, gpointer);
void button_make_move (GtkWidget *, gpointer);
void button_challenge (GtkWidget *, gpointer);


#endif
